package MpmasSimulationRunParameterScens;

use strict;
use warnings;
use Exporter;
use Storable qw(dclone);
use Data::Dumper;
use MpmasInputfile;
use MpmasInputBlock;
use IndexedTable;
use CtUtilities qw(numbers_robust_to_sorting);

use Cwd;
our @ISA = qw(MpmasInputfile);

sub filename {
	"SimrunParameterScens";
}

sub required {
	my ($self) = @_;
	return ($self->config_entry("MULTIPERIOD")); 
}


sub prepare_special {
    my ($self, $paramscendef  ) = @_;
	my $block = MpmasInputBlock->new(2,10);

	for my $s (sort {numbers_robust_to_sorting($a) cmp numbers_robust_to_sorting($b)} $paramscendef->query([],0) )#scenarios
	{
	   for my $k (sort {$a cmp $b} $paramscendef->query([$s],0) )#parameters
	   {
			$block->add_row("", "", $s, $k, $paramscendef->query([$s,$k], 3 ));
		}
	}
	$self->add_block($block);
}
1;
